summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-10-11 14:46:45 -0400
committerLuke Smith <luke@lukesmith.xyz>2020-10-11 14:46:45 -0400
commitf41246d575d5d9de7156973ad1bcf36b50cb91d7 (patch)
tree1124d786db7250dc531f009414c919dcd26dccf8
parent983b99e86d9865e6ec82856f192461cbbdde56a5 (diff)
more robust
-rwxr-xr-xemailwiz.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/emailwiz.sh b/emailwiz.sh
index e24c089..837ea1c 100755
--- a/emailwiz.sh
+++ b/emailwiz.sh
@@ -253,7 +253,7 @@ sed -i '/^#Canonicalization/s/simple/relaxed\/simple/' /etc/opendkim.conf
sed -i '/^#Canonicalization/s/^#//' /etc/opendkim.conf
sed -e '/Socket/s/^#*/#/' -i /etc/opendkim.conf
-sed -i '/\local:\/var\/run\/opendkim\/opendkim.sock/a \Socket\t\t\tinet:12301@localhost' /etc/opendkim.conf
+grep -q "^Socket\s*inet:12301@localhost" /etc/opendkim.conf || echo "Socket inet:12301@localhost" >> /etc/opendkim.conf
# OpenDKIM daemon settings, removing previously activated socket.
sed -i "/^SOCKET/d" /etc/default/opendkim && echo "SOCKET=\"inet:12301@localhost\"" >> /etc/default/opendkim